Package org.apache.solr.client.solrj.response

# Class LukeResponse.FieldInfo

java.lang.Object
org.apache.solr.client.solrj.response.LukeResponse.FieldInfo

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `LukeResponse`

public static class LukeResponse.FieldInfo extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FieldInfo(String n)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDistinct()`
`int`
`getDocs()`
`EnumSet<FieldFlag>`
`getFlags()`
`String`
`getName()`
`String`
`getSchema()`
`EnumSet<FieldFlag>`
`getSchemaFlags()`
`NamedList<Integer>`
`getTopTerms()`
`String`
`getType()`
`boolean`
`isCacheableFaceting()`
`static EnumSet<FieldFlag>`
`parseFlags(String flagStr)`
`void`
`read(NamedList<Object> nl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FieldInfo

public FieldInfo(String n)

## Method Details

### read

public void read(NamedList<Object> nl)

### parseFlags

public static EnumSet<FieldFlag> parseFlags(String flagStr)

### getFlags

public EnumSet<FieldFlag> getFlags()

### isCacheableFaceting

public boolean isCacheableFaceting()

### getType

public String getType()

### getDistinct

public int getDistinct()

### getDocs

public int getDocs()

### getName

public String getName()

### getSchema

public String getSchema()

### getSchemaFlags

public EnumSet<FieldFlag> getSchemaFlags()

### getTopTerms

public NamedList<Integer> getTopTerms()